## org.apache.lucene.analysis.pattern
Class PatternReplaceFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.pattern.PatternReplaceFilterFactory

    public class PatternReplaceFilterFactory

extends TokenFilterFactory

Factory for `PatternReplaceFilter`.

     <fieldType name="text_ptnreplace" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.KeywordTokenizerFactory"/>
         <filter class="solr.PatternReplaceFilterFactory" pattern="([^a-z])" replacement=""
                 replace="all"/>
       </analyzer>
     </fieldType>

See Also:
  `PatternReplaceFilter`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`PatternReplaceFilterFactory()`

Method Summary
`PatternReplaceFilter` `create(TokenStream input)` Transform the specified input TokenStream
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternReplaceFilterFactory

    public PatternReplaceFilterFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Description copied from class: `AbstractAnalysisFactory`
  Initialize this factory via a set of key-value pairs.

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### create

    public PatternReplaceFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.